Subject: Re: New commitfest app release on August 19th

From: John Naylor <[email-masked]>
Date: Wed, 7 Jan 2026 16:53:26 +0700

On Wed, Aug 20, 2025 at 10:36 AM John Naylor <[email-masked]> wrote:
>
> On Wed, Aug 20, 2025 at 12:31 AM Jelte Fennema-Nio <[email-masked]> wrote:
> > I deployed a change now where the font-size is changed back to 14px
> > again, and I removed "system-ui" font from the font list. I hope that
> > solves the difficult to read fonts and larger tables issues. Feedback
> > welcome, since this is definitely a thing that difference based on the
> > machine/screen/OS.
>
> The font is much better, thanks!
>
> The table still only fits at 80%, but I think even that would be
> tolerable if ID were put at the end of the row. I've never needed the
> ID by itself, and if I did I could mouse-over the patch link.

I just noticed something interesting:

https://commitfest.postgresql.org/57/

is still too small per my complaint above, but

https://commitfest.postgresql.org/58/

looks just fine at 100% browser zoom. It looks like the biggest
(only?) difference is the width of the "Patch column".

-- 
John Naylor
Amazon Web Services

---

From: Jelte Fennema-Nio <[email-masked]>
Date: Wed, 7 Jan 2026 14:54:11 +0100

> (only?) difference is the width of the "Patch column".

I've pushed some CSS to staging to do a bit more aggressive wrapping
if stuff doesn't fit in the table (the reason it overflowed seemed to
be long usernames and long single words in patch descriptions). Can
you double check if that solves the problem for you:

https://commitfest-test.postgresql.org/ (username and password are "pgtest")

If so I'll deploy it together with the other changes on staging in ~2 weeks.